## org.apache.cassandra.streaming
Class StreamInSession

    java.lang.Object
      org.apache.cassandra.streaming.AbstractStreamSession
          org.apache.cassandra.streaming.StreamInSession

All Implemented Interfaces:
  IEndpointStateChangeSubscriber, IFailureDetectionEventListener

    public class StreamInSession

extends AbstractStreamSession

each context gets its own StreamInSession. So there may be >1 Session per host

Field Summary

Fields inherited from class org.apache.cassandra.streaming.AbstractStreamSession
`callback, context, table`

Method Summary
`void` `addFiles(java.util.Collection<PendingFile> files)`
`void` `closeIfFinished()`
`protected void` `closeInternal(boolean success)`
`static StreamInSession` `create(java.net.InetAddress host, IStreamCallback callback)`
`void` `finished(PendingFile remoteFile, SSTableReader reader)`
`static StreamInSession` `get(java.net.InetAddress host, long sessionId)`
`static java.util.Set<PendingFile>` `getIncomingFiles(java.net.InetAddress host)` query the status of incoming files.
`static java.util.Set<java.net.InetAddress>` `getSources()` query method to determine which hosts are streaming to this node.
`static boolean` `hasSession(java.net.InetAddress host, long sessionId)`
`void` `retry(PendingFile remoteFile)`
`void` `sendMessage(Message message)`
`void` `setCurrentFile(PendingFile file)`
`void` `setSocket(java.net.Socket socket)`
`void` `setTable(java.lang.String table)`

Methods inherited from class org.apache.cassandra.streaming.AbstractStreamSession
`close, convict, getHost, getSessionId, getSourceFlag, onAlive, onChange, onDead, onJoin, onRemove, onRestart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static StreamInSession create(java.net.InetAddress host,
                                         IStreamCallback callback)

### get

    public static StreamInSession get(java.net.InetAddress host,
                                      long sessionId)

### hasSession

    public static boolean hasSession(java.net.InetAddress host,
                                     long sessionId)

### setCurrentFile

    public void setCurrentFile(PendingFile file)

### setTable

    public void setTable(java.lang.String table)

### setSocket

    public void setSocket(java.net.Socket socket)

### addFiles

    public void addFiles(java.util.Collection<PendingFile> files)

### finished

    public void finished(PendingFile remoteFile,
                         SSTableReader reader)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### retry

    public void retry(PendingFile remoteFile)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendMessage

    public void sendMessage(Message message)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeIfFinished

    public void closeIfFinished()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeInternal

    protected void closeInternal(boolean success)

  Specified by:
    `closeInternal` in class `AbstractStreamSession`

### getSources

    public static java.util.Set<java.net.InetAddress> getSources()

  query method to determine which hosts are streaming to this node.

### getIncomingFiles

    public static java.util.Set<PendingFile> getIncomingFiles(java.net.InetAddress host)

  query the status of incoming files.

Copyright © 2013 The Apache Software Foundation